[RTL][Bluetooth]With device language in Arabic, the Parentheses of the device name display abnormally in Bluetooth page

VERIFIED FIXED

Status

VERIFIED FIXED
4 years ago
3 years ago

People

(Reporter: wangxin, Assigned: gasolin)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.2 affected, b2g-master verified)

Details

(Whiteboard: [2.5-aries-test-run-1])

Attachments

(4 attachments)

(Reporter)

Description

4 years ago
Created attachment 8639212 [details]
Bug picture: Aries_v2.5.png

[1.Description]:
[RTL][Aries v2.5][Flame v2.2&master][Bluetooth]With device language in Arabic,The Parentheses of the Bluetooth name display abnormally  in Bluetooth page, for example  "Aries (B2G)" changes to  "(Aries (B2G"
See picture:"Aries_v2.5.png"

[2.Testing Steps]: 
Precondition: The system language is "Arabic". 
1. Launch "Settings"->"Bluetooth"
2. Enable "Blutooth"
3. Tap the "Rename my device" item.
4. Input a new name with "()" enclosing part of the name, such as "Aries(B2G)".
6. Tap the "OK" button

[3.Expected Result]: 
6. The Parentheses of the device name should display abnormally  in Bluetooth page

[4.Actual Result]: 
6. The Parentheses of the device name display abnormally  in Bluetooth page

[5.Reproduction build]: 
Aries v2.5 version (Affected)
Build ID               20150723024716
Gaia Revision          f04fdbfa1943dddeab8ecd1299a76ab56e590d00
Gaia Date              2015-07-22 18:44:09
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/2ddec2dedced
Gecko Version          42.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150723.023231
Firmware Date          Thu Jul 23 02:32:39 UTC 2015
Bootloader             s1

Flame 2.2 version (Affected)
Build ID               20150726002502
Gaia Revision          e1e6317f17a840b19af9dbb25f5a771d8d9fa161
Gaia Date              2015-07-15 21:05:11
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/551aee22a380
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150726.041648
Firmware Date          Sun Jul 26 04:16:59 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Flame master version (Affected)
Build ID               20150726160205
Gaia Revision          ade1ef5249cfab921e00ed67b30f3d03c2e24b5e
Gaia Date              2015-07-24 11:53:36
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/d3228c82badd
Gecko Version          42.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150726.191858
Firmware Date          Sun Jul 26 19:19:10 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
11662
(Reporter)

Updated

4 years ago
Blocks: 1071891
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
Hi - Can we please not file RTL bugs on 2.5 yet? Development hasn't kicked off for RTL yet on master, and we're holding off filing any RTL bugs at the time. (Also, you're linking this to the 2.2 rtl meta). See comment # 3 in Bug 1187836 for more info. Thanks
No longer blocks: 1071891
Created attachment 8639710 [details] [review]
[gaia] gasolin:issue-1187834 > mozilla-b2g:master
(Assignee)

Updated

4 years ago
Assignee: nobody → gasolin
(Assignee)

Comment 3

4 years ago
Created attachment 8639711 [details]
mydevicename.png
(Assignee)

Comment 4

4 years ago
Comment on attachment 8639710 [details] [review]
[gaia] gasolin:issue-1187834 > mozilla-b2g:master

need stamp here
Attachment #8639710 - Flags: review?(ehung)

Comment 5

4 years ago
Comment on attachment 8639710 [details] [review]
[gaia] gasolin:issue-1187834 > mozilla-b2g:master

Thanks!
Attachment #8639710 - Flags: review?(ehung) → review+
(Assignee)

Comment 6

4 years ago
merged https://github.com/mozilla-b2g/gaia/commit/ef50518c87bde1e005ac0154ef58e8c2770950f1

thanks!
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED

Comment 7

4 years ago
Created attachment 8641604 [details]
verified_Nexus5 v2.5.png

According to the STR of Comment 0, this bug has been verified as pass on latest Nightly Flame KK 2.5, Nexus5 v2.5 and Aries KK v2.5.
Actual results: The Parentheses of the device name display abnormally in Bluetooth page.
See attachment: verified_Nexus5 v2.5.png
Reproduce rate: 0/6

Device: Flame KK 2.5 build(Pass)
Build ID               20150730150205
Gaia Revision          7e7e92fbeea90cad8bf6f494b1a73712f79178e8
Gaia Date              2015-07-30 17:03:31
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/23e525e2ba35
Gecko Version          42.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150730.183847
Firmware Date          Thu Jul 30 18:38:56 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Nexus5 v2.5(pass)
Build ID               20150730150205
Gaia Revision          7e7e92fbeea90cad8bf6f494b1a73712f79178e8
Gaia Date              2015-07-30 17:03:31
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/23e525e2ba35
Gecko Version          42.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150730.183055
Firmware Date          Thu Jul 30 18:31:09 EDT 2015
Bootloader             HHZ12f

Device: Aries KK 2.5(pass)
Build ID               20150730224606
Gaia Revision          7e7e92fbeea90cad8bf6f494b1a73712f79178e8
Gaia Date              2015-07-30 17:03:31
Gecko Revision         https://hg.mozilla.org/integration/b2g-inbound/rev/888e8026ed60
Gecko Version          42.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150730.223725
Firmware Date          Thu Jul 30 22:37:33 UTC 2015
Bootloader             s1

Updated

4 years ago
QA Whiteboard: [MGSEI-Triage+]
status-b2g-master: affected → verified
Comment hidden (obsolete)

Comment 9

4 years ago
Update actual results: The Parentheses of the device name display normally in Bluetooth page.
(Reporter)

Updated

4 years ago
Status: RESOLVED → VERIFIED
Comment hidden (obsolete)
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.